%define name SportsTracker
%define version 1.0.1
%define release 2mdk



Summary: Application to record sporting activities
Name: %name
Version: %version
Release: %release
License: GPL
Group: Development/Other
URL: http://www.saring.de/sportstracker/
Source: http://dl.sourceforge.net/sourceforge/sportstracker/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libgladesharpglue-devel libgtksharpglue-devel
Requires: mono

%description
SportsTracker is an application for people which want to record 
their sporting activities. It is not bound to a specific kind of 
sport, the user can create categories for all sport types which 
are endurance related, such as cycling, running or swimming.

%prep
%setup -q

%build
%make 

%install
rm -rf "$RPM_BUILD_ROOT"
%__make PREFIX="$RPM_BUILD_ROOT"/%{_usr} DESTDIR="$RPM_BUILD_ROOT" PREFIX_I18N="$RPM_BUILD_ROOT"/%{_datadir}/locale install
install -m 755 -d %buildroot%{_menudir}

cat << EOF > %buildroot/%{_menudir}/%{name}
?package(%{name}):command="mono %{_bindir}/%{name}.exe"\
needs="x11"\
section="System/Monitoring"\
title="SportsTracker"\
longtitle="Record sporting activities"
EOF
%find_lang %{name}


%clean
rm -rf "$RPM_BUILD_ROOT"

#SCRIPT PREPOST
%post
%update_menus

%postun
%clean_menus



%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}.exe
%{_bindir}/NPlot.dll
%{_menudir}/%{name}
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/*
%lang(it) %{_datadir}/locale/it/LC_MESSAGES/*
%lang(es) %{_datadir}/locale/es/LC_MESSAGES/*
%lang(fr) %{_datadir}/locale/fr/LC_MESSAGES/*
%doc docs/{CHANGES.txt,I18N.txt,LICENSE.txt,README.txt,TODO.txt} 

%changelog
* Thu Aug 25 2005 Götz Waschk <waschk@mandriva.org> 1.0.1-2mdk
- rebuild for new gtk-sharp2

* Tue Aug 16 2005 Emmanuel Blindauer <mdk@agat.net> 1.0.1-1mdk
- new version.

* Thu Feb 10 2005 Emmanuel Blindauer <mdk@agat.net> 0.6.3-1mdk
- new version.

* Mon Aug  9 2004 Emmanuel Blindauer <mdk@agat.net> 0.6.0-1mdk
- Initial build.


